CREAL(3)

NAME
creal, crealf, creall - real part

SYNOPSIS

#include <complex.h>

double creal(double complex z);

float crealf(float complex z);

double long creall(long double complex z);

DESCRIPTION

These functions compute the real part of z.

crealf is identical to creal, except that it performs its calculations on float complex.

creall is identical to creal, except that it performs its calculations on long double complex.

RETURNS

The creal* functions return the real part value.

PORTABILITY

creal, crealf and creall are ISO C99